#!/bin/bash

# Copyright (C) 2016, 2017, 2018  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C escape:non-ascii3
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L non-ascii3.old <(echo \
'$ json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json --no-validate-utf8 --escape-json --verbose "$@"|sed -n l; }
$ echo -ne '\''\x80'\''|json -b 1
\200$
$ echo -ne '\''\x80'\''|json -b 2
\200$
$ echo -ne '\''\x81'\''|json -b 1
\201$
$ echo -ne '\''\x81'\''|json -b 2
\201$
$ echo -ne '\''\x82'\''|json -b 1
\202$
$ echo -ne '\''\x82'\''|json -b 2
\202$
$ echo -ne '\''\x83'\''|json -b 1
\203$
$ echo -ne '\''\x83'\''|json -b 2
\203$
$ echo -ne '\''\x84'\''|json -b 1
\204$
$ echo -ne '\''\x84'\''|json -b 2
\204$
$ echo -ne '\''\x85'\''|json -b 1
\205$
$ echo -ne '\''\x85'\''|json -b 2
\205$
$ echo -ne '\''\x86'\''|json -b 1
\206$
$ echo -ne '\''\x86'\''|json -b 2
\206$
$ echo -ne '\''\x87'\''|json -b 1
\207$
$ echo -ne '\''\x87'\''|json -b 2
\207$
$ echo -ne '\''\x88'\''|json -b 1
\210$
$ echo -ne '\''\x88'\''|json -b 2
\210$
$ echo -ne '\''\x89'\''|json -b 1
\211$
$ echo -ne '\''\x89'\''|json -b 2
\211$
$ echo -ne '\''\x8a'\''|json -b 1
\212$
$ echo -ne '\''\x8a'\''|json -b 2
\212$
$ echo -ne '\''\x8b'\''|json -b 1
\213$
$ echo -ne '\''\x8b'\''|json -b 2
\213$
$ echo -ne '\''\x8c'\''|json -b 1
\214$
$ echo -ne '\''\x8c'\''|json -b 2
\214$
$ echo -ne '\''\x8d'\''|json -b 1
\215$
$ echo -ne '\''\x8d'\''|json -b 2
\215$
$ echo -ne '\''\x8e'\''|json -b 1
\216$
$ echo -ne '\''\x8e'\''|json -b 2
\216$
$ echo -ne '\''\x8f'\''|json -b 1
\217$
$ echo -ne '\''\x8f'\''|json -b 2
\217$
$ echo -ne '\''\x90'\''|json -b 1
\220$
$ echo -ne '\''\x90'\''|json -b 2
\220$
$ echo -ne '\''\x91'\''|json -b 1
\221$
$ echo -ne '\''\x91'\''|json -b 2
\221$
$ echo -ne '\''\x92'\''|json -b 1
\222$
$ echo -ne '\''\x92'\''|json -b 2
\222$
$ echo -ne '\''\x93'\''|json -b 1
\223$
$ echo -ne '\''\x93'\''|json -b 2
\223$
$ echo -ne '\''\x94'\''|json -b 1
\224$
$ echo -ne '\''\x94'\''|json -b 2
\224$
$ echo -ne '\''\x95'\''|json -b 1
\225$
$ echo -ne '\''\x95'\''|json -b 2
\225$
$ echo -ne '\''\x96'\''|json -b 1
\226$
$ echo -ne '\''\x96'\''|json -b 2
\226$
$ echo -ne '\''\x97'\''|json -b 1
\227$
$ echo -ne '\''\x97'\''|json -b 2
\227$
$ echo -ne '\''\x98'\''|json -b 1
\230$
$ echo -ne '\''\x98'\''|json -b 2
\230$
$ echo -ne '\''\x99'\''|json -b 1
\231$
$ echo -ne '\''\x99'\''|json -b 2
\231$
$ echo -ne '\''\x9a'\''|json -b 1
\232$
$ echo -ne '\''\x9a'\''|json -b 2
\232$
$ echo -ne '\''\x9b'\''|json -b 1
\233$
$ echo -ne '\''\x9b'\''|json -b 2
\233$
$ echo -ne '\''\x9c'\''|json -b 1
\234$
$ echo -ne '\''\x9c'\''|json -b 2
\234$
$ echo -ne '\''\x9d'\''|json -b 1
\235$
$ echo -ne '\''\x9d'\''|json -b 2
\235$
$ echo -ne '\''\x9e'\''|json -b 1
\236$
$ echo -ne '\''\x9e'\''|json -b 2
\236$
$ echo -ne '\''\x9f'\''|json -b 1
\237$
$ echo -ne '\''\x9f'\''|json -b 2
\237$
$ echo -ne '\''\xa0'\''|json -b 1
\240$
$ echo -ne '\''\xa0'\''|json -b 2
\240$
$ echo -ne '\''\xa1'\''|json -b 1
\241$
$ echo -ne '\''\xa1'\''|json -b 2
\241$
$ echo -ne '\''\xa2'\''|json -b 1
\242$
$ echo -ne '\''\xa2'\''|json -b 2
\242$
$ echo -ne '\''\xa3'\''|json -b 1
\243$
$ echo -ne '\''\xa3'\''|json -b 2
\243$
$ echo -ne '\''\xa4'\''|json -b 1
\244$
$ echo -ne '\''\xa4'\''|json -b 2
\244$
$ echo -ne '\''\xa5'\''|json -b 1
\245$
$ echo -ne '\''\xa5'\''|json -b 2
\245$
$ echo -ne '\''\xa6'\''|json -b 1
\246$
$ echo -ne '\''\xa6'\''|json -b 2
\246$
$ echo -ne '\''\xa7'\''|json -b 1
\247$
$ echo -ne '\''\xa7'\''|json -b 2
\247$
$ echo -ne '\''\xa8'\''|json -b 1
\250$
$ echo -ne '\''\xa8'\''|json -b 2
\250$
$ echo -ne '\''\xa9'\''|json -b 1
\251$
$ echo -ne '\''\xa9'\''|json -b 2
\251$
$ echo -ne '\''\xaa'\''|json -b 1
\252$
$ echo -ne '\''\xaa'\''|json -b 2
\252$
$ echo -ne '\''\xab'\''|json -b 1
\253$
$ echo -ne '\''\xab'\''|json -b 2
\253$
$ echo -ne '\''\xac'\''|json -b 1
\254$
$ echo -ne '\''\xac'\''|json -b 2
\254$
$ echo -ne '\''\xad'\''|json -b 1
\255$
$ echo -ne '\''\xad'\''|json -b 2
\255$
$ echo -ne '\''\xae'\''|json -b 1
\256$
$ echo -ne '\''\xae'\''|json -b 2
\256$
$ echo -ne '\''\xaf'\''|json -b 1
\257$
$ echo -ne '\''\xaf'\''|json -b 2
\257$
$ echo -ne '\''\xb0'\''|json -b 1
\260$
$ echo -ne '\''\xb0'\''|json -b 2
\260$
$ echo -ne '\''\xb1'\''|json -b 1
\261$
$ echo -ne '\''\xb1'\''|json -b 2
\261$
$ echo -ne '\''\xb2'\''|json -b 1
\262$
$ echo -ne '\''\xb2'\''|json -b 2
\262$
$ echo -ne '\''\xb3'\''|json -b 1
\263$
$ echo -ne '\''\xb3'\''|json -b 2
\263$
$ echo -ne '\''\xb4'\''|json -b 1
\264$
$ echo -ne '\''\xb4'\''|json -b 2
\264$
$ echo -ne '\''\xb5'\''|json -b 1
\265$
$ echo -ne '\''\xb5'\''|json -b 2
\265$
$ echo -ne '\''\xb6'\''|json -b 1
\266$
$ echo -ne '\''\xb6'\''|json -b 2
\266$
$ echo -ne '\''\xb7'\''|json -b 1
\267$
$ echo -ne '\''\xb7'\''|json -b 2
\267$
$ echo -ne '\''\xb8'\''|json -b 1
\270$
$ echo -ne '\''\xb8'\''|json -b 2
\270$
$ echo -ne '\''\xb9'\''|json -b 1
\271$
$ echo -ne '\''\xb9'\''|json -b 2
\271$
$ echo -ne '\''\xba'\''|json -b 1
\272$
$ echo -ne '\''\xba'\''|json -b 2
\272$
$ echo -ne '\''\xbb'\''|json -b 1
\273$
$ echo -ne '\''\xbb'\''|json -b 2
\273$
$ echo -ne '\''\xbc'\''|json -b 1
\274$
$ echo -ne '\''\xbc'\''|json -b 2
\274$
$ echo -ne '\''\xbd'\''|json -b 1
\275$
$ echo -ne '\''\xbd'\''|json -b 2
\275$
$ echo -ne '\''\xbe'\''|json -b 1
\276$
$ echo -ne '\''\xbe'\''|json -b 2
\276$
$ echo -ne '\''\xbf'\''|json -b 1
\277$
$ echo -ne '\''\xbf'\''|json -b 2
\277$
$ echo -ne '\''\xc0'\''|json -b 1
\300$
$ echo -ne '\''\xc0'\''|json -b 2
\300$
$ echo -ne '\''\xc1'\''|json -b 1
\301$
$ echo -ne '\''\xc1'\''|json -b 2
\301$
$ echo -ne '\''\xc2'\''|json -b 1
\302$
$ echo -ne '\''\xc2'\''|json -b 2
\302$
$ echo -ne '\''\xc3'\''|json -b 1
\303$
$ echo -ne '\''\xc3'\''|json -b 2
\303$
$ echo -ne '\''\xc4'\''|json -b 1
\304$
$ echo -ne '\''\xc4'\''|json -b 2
\304$
$ echo -ne '\''\xc5'\''|json -b 1
\305$
$ echo -ne '\''\xc5'\''|json -b 2
\305$
$ echo -ne '\''\xc6'\''|json -b 1
\306$
$ echo -ne '\''\xc6'\''|json -b 2
\306$
$ echo -ne '\''\xc7'\''|json -b 1
\307$
$ echo -ne '\''\xc7'\''|json -b 2
\307$
$ echo -ne '\''\xc8'\''|json -b 1
\310$
$ echo -ne '\''\xc8'\''|json -b 2
\310$
$ echo -ne '\''\xc9'\''|json -b 1
\311$
$ echo -ne '\''\xc9'\''|json -b 2
\311$
$ echo -ne '\''\xca'\''|json -b 1
\312$
$ echo -ne '\''\xca'\''|json -b 2
\312$
$ echo -ne '\''\xcb'\''|json -b 1
\313$
$ echo -ne '\''\xcb'\''|json -b 2
\313$
$ echo -ne '\''\xcc'\''|json -b 1
\314$
$ echo -ne '\''\xcc'\''|json -b 2
\314$
$ echo -ne '\''\xcd'\''|json -b 1
\315$
$ echo -ne '\''\xcd'\''|json -b 2
\315$
$ echo -ne '\''\xce'\''|json -b 1
\316$
$ echo -ne '\''\xce'\''|json -b 2
\316$
$ echo -ne '\''\xcf'\''|json -b 1
\317$
$ echo -ne '\''\xcf'\''|json -b 2
\317$
$ echo -ne '\''\xd0'\''|json -b 1
\320$
$ echo -ne '\''\xd0'\''|json -b 2
\320$
$ echo -ne '\''\xd1'\''|json -b 1
\321$
$ echo -ne '\''\xd1'\''|json -b 2
\321$
$ echo -ne '\''\xd2'\''|json -b 1
\322$
$ echo -ne '\''\xd2'\''|json -b 2
\322$
$ echo -ne '\''\xd3'\''|json -b 1
\323$
$ echo -ne '\''\xd3'\''|json -b 2
\323$
$ echo -ne '\''\xd4'\''|json -b 1
\324$
$ echo -ne '\''\xd4'\''|json -b 2
\324$
$ echo -ne '\''\xd5'\''|json -b 1
\325$
$ echo -ne '\''\xd5'\''|json -b 2
\325$
$ echo -ne '\''\xd6'\''|json -b 1
\326$
$ echo -ne '\''\xd6'\''|json -b 2
\326$
$ echo -ne '\''\xd7'\''|json -b 1
\327$
$ echo -ne '\''\xd7'\''|json -b 2
\327$
$ echo -ne '\''\xd8'\''|json -b 1
\330$
$ echo -ne '\''\xd8'\''|json -b 2
\330$
$ echo -ne '\''\xd9'\''|json -b 1
\331$
$ echo -ne '\''\xd9'\''|json -b 2
\331$
$ echo -ne '\''\xda'\''|json -b 1
\332$
$ echo -ne '\''\xda'\''|json -b 2
\332$
$ echo -ne '\''\xdb'\''|json -b 1
\333$
$ echo -ne '\''\xdb'\''|json -b 2
\333$
$ echo -ne '\''\xdc'\''|json -b 1
\334$
$ echo -ne '\''\xdc'\''|json -b 2
\334$
$ echo -ne '\''\xdd'\''|json -b 1
\335$
$ echo -ne '\''\xdd'\''|json -b 2
\335$
$ echo -ne '\''\xde'\''|json -b 1
\336$
$ echo -ne '\''\xde'\''|json -b 2
\336$
$ echo -ne '\''\xdf'\''|json -b 1
\337$
$ echo -ne '\''\xdf'\''|json -b 2
\337$
$ echo -ne '\''\xe0'\''|json -b 1
\340$
$ echo -ne '\''\xe0'\''|json -b 2
\340$
$ echo -ne '\''\xe1'\''|json -b 1
\341$
$ echo -ne '\''\xe1'\''|json -b 2
\341$
$ echo -ne '\''\xe2'\''|json -b 1
\342$
$ echo -ne '\''\xe2'\''|json -b 2
\342$
$ echo -ne '\''\xe3'\''|json -b 1
\343$
$ echo -ne '\''\xe3'\''|json -b 2
\343$
$ echo -ne '\''\xe4'\''|json -b 1
\344$
$ echo -ne '\''\xe4'\''|json -b 2
\344$
$ echo -ne '\''\xe5'\''|json -b 1
\345$
$ echo -ne '\''\xe5'\''|json -b 2
\345$
$ echo -ne '\''\xe6'\''|json -b 1
\346$
$ echo -ne '\''\xe6'\''|json -b 2
\346$
$ echo -ne '\''\xe7'\''|json -b 1
\347$
$ echo -ne '\''\xe7'\''|json -b 2
\347$
$ echo -ne '\''\xe8'\''|json -b 1
\350$
$ echo -ne '\''\xe8'\''|json -b 2
\350$
$ echo -ne '\''\xe9'\''|json -b 1
\351$
$ echo -ne '\''\xe9'\''|json -b 2
\351$
$ echo -ne '\''\xea'\''|json -b 1
\352$
$ echo -ne '\''\xea'\''|json -b 2
\352$
$ echo -ne '\''\xeb'\''|json -b 1
\353$
$ echo -ne '\''\xeb'\''|json -b 2
\353$
$ echo -ne '\''\xec'\''|json -b 1
\354$
$ echo -ne '\''\xec'\''|json -b 2
\354$
$ echo -ne '\''\xed'\''|json -b 1
\355$
$ echo -ne '\''\xed'\''|json -b 2
\355$
$ echo -ne '\''\xee'\''|json -b 1
\356$
$ echo -ne '\''\xee'\''|json -b 2
\356$
$ echo -ne '\''\xef'\''|json -b 1
\357$
$ echo -ne '\''\xef'\''|json -b 2
\357$
$ echo -ne '\''\xf0'\''|json -b 1
\360$
$ echo -ne '\''\xf0'\''|json -b 2
\360$
$ echo -ne '\''\xf1'\''|json -b 1
\361$
$ echo -ne '\''\xf1'\''|json -b 2
\361$
$ echo -ne '\''\xf2'\''|json -b 1
\362$
$ echo -ne '\''\xf2'\''|json -b 2
\362$
$ echo -ne '\''\xf3'\''|json -b 1
\363$
$ echo -ne '\''\xf3'\''|json -b 2
\363$
$ echo -ne '\''\xf4'\''|json -b 1
\364$
$ echo -ne '\''\xf4'\''|json -b 2
\364$
$ echo -ne '\''\xf5'\''|json -b 1
\365$
$ echo -ne '\''\xf5'\''|json -b 2
\365$
$ echo -ne '\''\xf6'\''|json -b 1
\366$
$ echo -ne '\''\xf6'\''|json -b 2
\366$
$ echo -ne '\''\xf7'\''|json -b 1
\367$
$ echo -ne '\''\xf7'\''|json -b 2
\367$
$ echo -ne '\''\xf8'\''|json -b 1
\370$
$ echo -ne '\''\xf8'\''|json -b 2
\370$
$ echo -ne '\''\xf9'\''|json -b 1
\371$
$ echo -ne '\''\xf9'\''|json -b 2
\371$
$ echo -ne '\''\xfa'\''|json -b 1
\372$
$ echo -ne '\''\xfa'\''|json -b 2
\372$
$ echo -ne '\''\xfb'\''|json -b 1
\373$
$ echo -ne '\''\xfb'\''|json -b 2
\373$
$ echo -ne '\''\xfc'\''|json -b 1
\374$
$ echo -ne '\''\xfc'\''|json -b 2
\374$
$ echo -ne '\''\xfd'\''|json -b 1
\375$
$ echo -ne '\''\xfd'\''|json -b 2
\375$
$ echo -ne '\''\xfe'\''|json -b 1
\376$
$ echo -ne '\''\xfe'\''|json -b 2
\376$
$ echo -ne '\''\xff'\''|json -b 1
\377$
$ echo -ne '\''\xff'\''|json -b 2
\377$'
) -L non-ascii3.new <(
echo '$ json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json --no-validate-utf8 --escape-json --verbose "$@"|sed -n l; }'
json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json --no-validate-utf8 --escape-json --verbose "$@"|sed -n l; } 2>&1 ||
echo 'command failed: json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json --no-validate-utf8 --escape-json --verbose "$@"|sed -n l; }'

echo '$ echo -ne '\''\x80'\''|json -b 1'
echo -ne '\x80'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x80'\''|json -b 1'

echo '$ echo -ne '\''\x80'\''|json -b 2'
echo -ne '\x80'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x80'\''|json -b 2'

echo '$ echo -ne '\''\x81'\''|json -b 1'
echo -ne '\x81'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x81'\''|json -b 1'

echo '$ echo -ne '\''\x81'\''|json -b 2'
echo -ne '\x81'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x81'\''|json -b 2'

echo '$ echo -ne '\''\x82'\''|json -b 1'
echo -ne '\x82'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x82'\''|json -b 1'

echo '$ echo -ne '\''\x82'\''|json -b 2'
echo -ne '\x82'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x82'\''|json -b 2'

echo '$ echo -ne '\''\x83'\''|json -b 1'
echo -ne '\x83'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x83'\''|json -b 1'

echo '$ echo -ne '\''\x83'\''|json -b 2'
echo -ne '\x83'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x83'\''|json -b 2'

echo '$ echo -ne '\''\x84'\''|json -b 1'
echo -ne '\x84'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x84'\''|json -b 1'

echo '$ echo -ne '\''\x84'\''|json -b 2'
echo -ne '\x84'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x84'\''|json -b 2'

echo '$ echo -ne '\''\x85'\''|json -b 1'
echo -ne '\x85'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x85'\''|json -b 1'

echo '$ echo -ne '\''\x85'\''|json -b 2'
echo -ne '\x85'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x85'\''|json -b 2'

echo '$ echo -ne '\''\x86'\''|json -b 1'
echo -ne '\x86'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x86'\''|json -b 1'

echo '$ echo -ne '\''\x86'\''|json -b 2'
echo -ne '\x86'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x86'\''|json -b 2'

echo '$ echo -ne '\''\x87'\''|json -b 1'
echo -ne '\x87'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x87'\''|json -b 1'

echo '$ echo -ne '\''\x87'\''|json -b 2'
echo -ne '\x87'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x87'\''|json -b 2'

echo '$ echo -ne '\''\x88'\''|json -b 1'
echo -ne '\x88'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x88'\''|json -b 1'

echo '$ echo -ne '\''\x88'\''|json -b 2'
echo -ne '\x88'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x88'\''|json -b 2'

echo '$ echo -ne '\''\x89'\''|json -b 1'
echo -ne '\x89'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x89'\''|json -b 1'

echo '$ echo -ne '\''\x89'\''|json -b 2'
echo -ne '\x89'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x89'\''|json -b 2'

echo '$ echo -ne '\''\x8a'\''|json -b 1'
echo -ne '\x8a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8a'\''|json -b 1'

echo '$ echo -ne '\''\x8a'\''|json -b 2'
echo -ne '\x8a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8a'\''|json -b 2'

echo '$ echo -ne '\''\x8b'\''|json -b 1'
echo -ne '\x8b'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8b'\''|json -b 1'

echo '$ echo -ne '\''\x8b'\''|json -b 2'
echo -ne '\x8b'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8b'\''|json -b 2'

echo '$ echo -ne '\''\x8c'\''|json -b 1'
echo -ne '\x8c'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8c'\''|json -b 1'

echo '$ echo -ne '\''\x8c'\''|json -b 2'
echo -ne '\x8c'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8c'\''|json -b 2'

echo '$ echo -ne '\''\x8d'\''|json -b 1'
echo -ne '\x8d'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8d'\''|json -b 1'

echo '$ echo -ne '\''\x8d'\''|json -b 2'
echo -ne '\x8d'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8d'\''|json -b 2'

echo '$ echo -ne '\''\x8e'\''|json -b 1'
echo -ne '\x8e'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8e'\''|json -b 1'

echo '$ echo -ne '\''\x8e'\''|json -b 2'
echo -ne '\x8e'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8e'\''|json -b 2'

echo '$ echo -ne '\''\x8f'\''|json -b 1'
echo -ne '\x8f'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8f'\''|json -b 1'

echo '$ echo -ne '\''\x8f'\''|json -b 2'
echo -ne '\x8f'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8f'\''|json -b 2'

echo '$ echo -ne '\''\x90'\''|json -b 1'
echo -ne '\x90'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x90'\''|json -b 1'

echo '$ echo -ne '\''\x90'\''|json -b 2'
echo -ne '\x90'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x90'\''|json -b 2'

echo '$ echo -ne '\''\x91'\''|json -b 1'
echo -ne '\x91'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x91'\''|json -b 1'

echo '$ echo -ne '\''\x91'\''|json -b 2'
echo -ne '\x91'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x91'\''|json -b 2'

echo '$ echo -ne '\''\x92'\''|json -b 1'
echo -ne '\x92'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x92'\''|json -b 1'

echo '$ echo -ne '\''\x92'\''|json -b 2'
echo -ne '\x92'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x92'\''|json -b 2'

echo '$ echo -ne '\''\x93'\''|json -b 1'
echo -ne '\x93'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x93'\''|json -b 1'

echo '$ echo -ne '\''\x93'\''|json -b 2'
echo -ne '\x93'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x93'\''|json -b 2'

echo '$ echo -ne '\''\x94'\''|json -b 1'
echo -ne '\x94'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x94'\''|json -b 1'

echo '$ echo -ne '\''\x94'\''|json -b 2'
echo -ne '\x94'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x94'\''|json -b 2'

echo '$ echo -ne '\''\x95'\''|json -b 1'
echo -ne '\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x95'\''|json -b 1'

echo '$ echo -ne '\''\x95'\''|json -b 2'
echo -ne '\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x95'\''|json -b 2'

echo '$ echo -ne '\''\x96'\''|json -b 1'
echo -ne '\x96'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x96'\''|json -b 1'

echo '$ echo -ne '\''\x96'\''|json -b 2'
echo -ne '\x96'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x96'\''|json -b 2'

echo '$ echo -ne '\''\x97'\''|json -b 1'
echo -ne '\x97'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x97'\''|json -b 1'

echo '$ echo -ne '\''\x97'\''|json -b 2'
echo -ne '\x97'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x97'\''|json -b 2'

echo '$ echo -ne '\''\x98'\''|json -b 1'
echo -ne '\x98'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x98'\''|json -b 1'

echo '$ echo -ne '\''\x98'\''|json -b 2'
echo -ne '\x98'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x98'\''|json -b 2'

echo '$ echo -ne '\''\x99'\''|json -b 1'
echo -ne '\x99'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x99'\''|json -b 1'

echo '$ echo -ne '\''\x99'\''|json -b 2'
echo -ne '\x99'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x99'\''|json -b 2'

echo '$ echo -ne '\''\x9a'\''|json -b 1'
echo -ne '\x9a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9a'\''|json -b 1'

echo '$ echo -ne '\''\x9a'\''|json -b 2'
echo -ne '\x9a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9a'\''|json -b 2'

echo '$ echo -ne '\''\x9b'\''|json -b 1'
echo -ne '\x9b'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9b'\''|json -b 1'

echo '$ echo -ne '\''\x9b'\''|json -b 2'
echo -ne '\x9b'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9b'\''|json -b 2'

echo '$ echo -ne '\''\x9c'\''|json -b 1'
echo -ne '\x9c'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9c'\''|json -b 1'

echo '$ echo -ne '\''\x9c'\''|json -b 2'
echo -ne '\x9c'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9c'\''|json -b 2'

echo '$ echo -ne '\''\x9d'\''|json -b 1'
echo -ne '\x9d'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9d'\''|json -b 1'

echo '$ echo -ne '\''\x9d'\''|json -b 2'
echo -ne '\x9d'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9d'\''|json -b 2'

echo '$ echo -ne '\''\x9e'\''|json -b 1'
echo -ne '\x9e'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9e'\''|json -b 1'

echo '$ echo -ne '\''\x9e'\''|json -b 2'
echo -ne '\x9e'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9e'\''|json -b 2'

echo '$ echo -ne '\''\x9f'\''|json -b 1'
echo -ne '\x9f'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9f'\''|json -b 1'

echo '$ echo -ne '\''\x9f'\''|json -b 2'
echo -ne '\x9f'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9f'\''|json -b 2'

echo '$ echo -ne '\''\xa0'\''|json -b 1'
echo -ne '\xa0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa0'\''|json -b 1'

echo '$ echo -ne '\''\xa0'\''|json -b 2'
echo -ne '\xa0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa0'\''|json -b 2'

echo '$ echo -ne '\''\xa1'\''|json -b 1'
echo -ne '\xa1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa1'\''|json -b 1'

echo '$ echo -ne '\''\xa1'\''|json -b 2'
echo -ne '\xa1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa1'\''|json -b 2'

echo '$ echo -ne '\''\xa2'\''|json -b 1'
echo -ne '\xa2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa2'\''|json -b 1'

echo '$ echo -ne '\''\xa2'\''|json -b 2'
echo -ne '\xa2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa2'\''|json -b 2'

echo '$ echo -ne '\''\xa3'\''|json -b 1'
echo -ne '\xa3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa3'\''|json -b 1'

echo '$ echo -ne '\''\xa3'\''|json -b 2'
echo -ne '\xa3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa3'\''|json -b 2'

echo '$ echo -ne '\''\xa4'\''|json -b 1'
echo -ne '\xa4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa4'\''|json -b 1'

echo '$ echo -ne '\''\xa4'\''|json -b 2'
echo -ne '\xa4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa4'\''|json -b 2'

echo '$ echo -ne '\''\xa5'\''|json -b 1'
echo -ne '\xa5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa5'\''|json -b 1'

echo '$ echo -ne '\''\xa5'\''|json -b 2'
echo -ne '\xa5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa5'\''|json -b 2'

echo '$ echo -ne '\''\xa6'\''|json -b 1'
echo -ne '\xa6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa6'\''|json -b 1'

echo '$ echo -ne '\''\xa6'\''|json -b 2'
echo -ne '\xa6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa6'\''|json -b 2'

echo '$ echo -ne '\''\xa7'\''|json -b 1'
echo -ne '\xa7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa7'\''|json -b 1'

echo '$ echo -ne '\''\xa7'\''|json -b 2'
echo -ne '\xa7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa7'\''|json -b 2'

echo '$ echo -ne '\''\xa8'\''|json -b 1'
echo -ne '\xa8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa8'\''|json -b 1'

echo '$ echo -ne '\''\xa8'\''|json -b 2'
echo -ne '\xa8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa8'\''|json -b 2'

echo '$ echo -ne '\''\xa9'\''|json -b 1'
echo -ne '\xa9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa9'\''|json -b 1'

echo '$ echo -ne '\''\xa9'\''|json -b 2'
echo -ne '\xa9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa9'\''|json -b 2'

echo '$ echo -ne '\''\xaa'\''|json -b 1'
echo -ne '\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xaa'\''|json -b 2'
echo -ne '\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xab'\''|json -b 1'
echo -ne '\xab'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xab'\''|json -b 1'

echo '$ echo -ne '\''\xab'\''|json -b 2'
echo -ne '\xab'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xab'\''|json -b 2'

echo '$ echo -ne '\''\xac'\''|json -b 1'
echo -ne '\xac'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xac'\''|json -b 1'

echo '$ echo -ne '\''\xac'\''|json -b 2'
echo -ne '\xac'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xac'\''|json -b 2'

echo '$ echo -ne '\''\xad'\''|json -b 1'
echo -ne '\xad'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xad'\''|json -b 1'

echo '$ echo -ne '\''\xad'\''|json -b 2'
echo -ne '\xad'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xad'\''|json -b 2'

echo '$ echo -ne '\''\xae'\''|json -b 1'
echo -ne '\xae'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xae'\''|json -b 1'

echo '$ echo -ne '\''\xae'\''|json -b 2'
echo -ne '\xae'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xae'\''|json -b 2'

echo '$ echo -ne '\''\xaf'\''|json -b 1'
echo -ne '\xaf'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xaf'\''|json -b 1'

echo '$ echo -ne '\''\xaf'\''|json -b 2'
echo -ne '\xaf'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xaf'\''|json -b 2'

echo '$ echo -ne '\''\xb0'\''|json -b 1'
echo -ne '\xb0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb0'\''|json -b 1'

echo '$ echo -ne '\''\xb0'\''|json -b 2'
echo -ne '\xb0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb0'\''|json -b 2'

echo '$ echo -ne '\''\xb1'\''|json -b 1'
echo -ne '\xb1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb1'\''|json -b 1'

echo '$ echo -ne '\''\xb1'\''|json -b 2'
echo -ne '\xb1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb1'\''|json -b 2'

echo '$ echo -ne '\''\xb2'\''|json -b 1'
echo -ne '\xb2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb2'\''|json -b 1'

echo '$ echo -ne '\''\xb2'\''|json -b 2'
echo -ne '\xb2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb2'\''|json -b 2'

echo '$ echo -ne '\''\xb3'\''|json -b 1'
echo -ne '\xb3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb3'\''|json -b 1'

echo '$ echo -ne '\''\xb3'\''|json -b 2'
echo -ne '\xb3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb3'\''|json -b 2'

echo '$ echo -ne '\''\xb4'\''|json -b 1'
echo -ne '\xb4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb4'\''|json -b 1'

echo '$ echo -ne '\''\xb4'\''|json -b 2'
echo -ne '\xb4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb4'\''|json -b 2'

echo '$ echo -ne '\''\xb5'\''|json -b 1'
echo -ne '\xb5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb5'\''|json -b 1'

echo '$ echo -ne '\''\xb5'\''|json -b 2'
echo -ne '\xb5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb5'\''|json -b 2'

echo '$ echo -ne '\''\xb6'\''|json -b 1'
echo -ne '\xb6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb6'\''|json -b 1'

echo '$ echo -ne '\''\xb6'\''|json -b 2'
echo -ne '\xb6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb6'\''|json -b 2'

echo '$ echo -ne '\''\xb7'\''|json -b 1'
echo -ne '\xb7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb7'\''|json -b 1'

echo '$ echo -ne '\''\xb7'\''|json -b 2'
echo -ne '\xb7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb7'\''|json -b 2'

echo '$ echo -ne '\''\xb8'\''|json -b 1'
echo -ne '\xb8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb8'\''|json -b 1'

echo '$ echo -ne '\''\xb8'\''|json -b 2'
echo -ne '\xb8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb8'\''|json -b 2'

echo '$ echo -ne '\''\xb9'\''|json -b 1'
echo -ne '\xb9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb9'\''|json -b 1'

echo '$ echo -ne '\''\xb9'\''|json -b 2'
echo -ne '\xb9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb9'\''|json -b 2'

echo '$ echo -ne '\''\xba'\''|json -b 1'
echo -ne '\xba'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xba'\''|json -b 1'

echo '$ echo -ne '\''\xba'\''|json -b 2'
echo -ne '\xba'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xba'\''|json -b 2'

echo '$ echo -ne '\''\xbb'\''|json -b 1'
echo -ne '\xbb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbb'\''|json -b 1'

echo '$ echo -ne '\''\xbb'\''|json -b 2'
echo -ne '\xbb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbb'\''|json -b 2'

echo '$ echo -ne '\''\xbc'\''|json -b 1'
echo -ne '\xbc'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbc'\''|json -b 1'

echo '$ echo -ne '\''\xbc'\''|json -b 2'
echo -ne '\xbc'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbc'\''|json -b 2'

echo '$ echo -ne '\''\xbd'\''|json -b 1'
echo -ne '\xbd'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbd'\''|json -b 1'

echo '$ echo -ne '\''\xbd'\''|json -b 2'
echo -ne '\xbd'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbd'\''|json -b 2'

echo '$ echo -ne '\''\xbe'\''|json -b 1'
echo -ne '\xbe'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbe'\''|json -b 1'

echo '$ echo -ne '\''\xbe'\''|json -b 2'
echo -ne '\xbe'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbe'\''|json -b 2'

echo '$ echo -ne '\''\xbf'\''|json -b 1'
echo -ne '\xbf'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbf'\''|json -b 1'

echo '$ echo -ne '\''\xbf'\''|json -b 2'
echo -ne '\xbf'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbf'\''|json -b 2'

echo '$ echo -ne '\''\xc0'\''|json -b 1'
echo -ne '\xc0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc0'\''|json -b 1'

echo '$ echo -ne '\''\xc0'\''|json -b 2'
echo -ne '\xc0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc0'\''|json -b 2'

echo '$ echo -ne '\''\xc1'\''|json -b 1'
echo -ne '\xc1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc1'\''|json -b 1'

echo '$ echo -ne '\''\xc1'\''|json -b 2'
echo -ne '\xc1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc1'\''|json -b 2'

echo '$ echo -ne '\''\xc2'\''|json -b 1'
echo -ne '\xc2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc2'\''|json -b 1'

echo '$ echo -ne '\''\xc2'\''|json -b 2'
echo -ne '\xc2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc2'\''|json -b 2'

echo '$ echo -ne '\''\xc3'\''|json -b 1'
echo -ne '\xc3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc3'\''|json -b 1'

echo '$ echo -ne '\''\xc3'\''|json -b 2'
echo -ne '\xc3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc3'\''|json -b 2'

echo '$ echo -ne '\''\xc4'\''|json -b 1'
echo -ne '\xc4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc4'\''|json -b 1'

echo '$ echo -ne '\''\xc4'\''|json -b 2'
echo -ne '\xc4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc4'\''|json -b 2'

echo '$ echo -ne '\''\xc5'\''|json -b 1'
echo -ne '\xc5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc5'\''|json -b 1'

echo '$ echo -ne '\''\xc5'\''|json -b 2'
echo -ne '\xc5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc5'\''|json -b 2'

echo '$ echo -ne '\''\xc6'\''|json -b 1'
echo -ne '\xc6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc6'\''|json -b 1'

echo '$ echo -ne '\''\xc6'\''|json -b 2'
echo -ne '\xc6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc6'\''|json -b 2'

echo '$ echo -ne '\''\xc7'\''|json -b 1'
echo -ne '\xc7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc7'\''|json -b 1'

echo '$ echo -ne '\''\xc7'\''|json -b 2'
echo -ne '\xc7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc7'\''|json -b 2'

echo '$ echo -ne '\''\xc8'\''|json -b 1'
echo -ne '\xc8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc8'\''|json -b 1'

echo '$ echo -ne '\''\xc8'\''|json -b 2'
echo -ne '\xc8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc8'\''|json -b 2'

echo '$ echo -ne '\''\xc9'\''|json -b 1'
echo -ne '\xc9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc9'\''|json -b 1'

echo '$ echo -ne '\''\xc9'\''|json -b 2'
echo -ne '\xc9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc9'\''|json -b 2'

echo '$ echo -ne '\''\xca'\''|json -b 1'
echo -ne '\xca'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xca'\''|json -b 1'

echo '$ echo -ne '\''\xca'\''|json -b 2'
echo -ne '\xca'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xca'\''|json -b 2'

echo '$ echo -ne '\''\xcb'\''|json -b 1'
echo -ne '\xcb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xcb'\''|json -b 1'

echo '$ echo -ne '\''\xcb'\''|json -b 2'
echo -ne '\xcb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xcb'\''|json -b 2'

echo '$ echo -ne '\''\xcc'\''|json -b 1'
echo -ne '\xcc'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xcc'\''|json -b 1'

echo '$ echo -ne '\''\xcc'\''|json -b 2'
echo -ne '\xcc'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xcc'\''|json -b 2'

echo '$ echo -ne '\''\xcd'\''|json -b 1'
echo -ne '\xcd'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xcd'\''|json -b 1'

echo '$ echo -ne '\''\xcd'\''|json -b 2'
echo -ne '\xcd'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xcd'\''|json -b 2'

echo '$ echo -ne '\''\xce'\''|json -b 1'
echo -ne '\xce'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xce'\''|json -b 1'

echo '$ echo -ne '\''\xce'\''|json -b 2'
echo -ne '\xce'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xce'\''|json -b 2'

echo '$ echo -ne '\''\xcf'\''|json -b 1'
echo -ne '\xcf'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xcf'\''|json -b 1'

echo '$ echo -ne '\''\xcf'\''|json -b 2'
echo -ne '\xcf'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xcf'\''|json -b 2'

echo '$ echo -ne '\''\xd0'\''|json -b 1'
echo -ne '\xd0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd0'\''|json -b 1'

echo '$ echo -ne '\''\xd0'\''|json -b 2'
echo -ne '\xd0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd0'\''|json -b 2'

echo '$ echo -ne '\''\xd1'\''|json -b 1'
echo -ne '\xd1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd1'\''|json -b 1'

echo '$ echo -ne '\''\xd1'\''|json -b 2'
echo -ne '\xd1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd1'\''|json -b 2'

echo '$ echo -ne '\''\xd2'\''|json -b 1'
echo -ne '\xd2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd2'\''|json -b 1'

echo '$ echo -ne '\''\xd2'\''|json -b 2'
echo -ne '\xd2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd2'\''|json -b 2'

echo '$ echo -ne '\''\xd3'\''|json -b 1'
echo -ne '\xd3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd3'\''|json -b 1'

echo '$ echo -ne '\''\xd3'\''|json -b 2'
echo -ne '\xd3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd3'\''|json -b 2'

echo '$ echo -ne '\''\xd4'\''|json -b 1'
echo -ne '\xd4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd4'\''|json -b 1'

echo '$ echo -ne '\''\xd4'\''|json -b 2'
echo -ne '\xd4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd4'\''|json -b 2'

echo '$ echo -ne '\''\xd5'\''|json -b 1'
echo -ne '\xd5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd5'\''|json -b 1'

echo '$ echo -ne '\''\xd5'\''|json -b 2'
echo -ne '\xd5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd5'\''|json -b 2'

echo '$ echo -ne '\''\xd6'\''|json -b 1'
echo -ne '\xd6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd6'\''|json -b 1'

echo '$ echo -ne '\''\xd6'\''|json -b 2'
echo -ne '\xd6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd6'\''|json -b 2'

echo '$ echo -ne '\''\xd7'\''|json -b 1'
echo -ne '\xd7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd7'\''|json -b 1'

echo '$ echo -ne '\''\xd7'\''|json -b 2'
echo -ne '\xd7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd7'\''|json -b 2'

echo '$ echo -ne '\''\xd8'\''|json -b 1'
echo -ne '\xd8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd8'\''|json -b 1'

echo '$ echo -ne '\''\xd8'\''|json -b 2'
echo -ne '\xd8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd8'\''|json -b 2'

echo '$ echo -ne '\''\xd9'\''|json -b 1'
echo -ne '\xd9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd9'\''|json -b 1'

echo '$ echo -ne '\''\xd9'\''|json -b 2'
echo -ne '\xd9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd9'\''|json -b 2'

echo '$ echo -ne '\''\xda'\''|json -b 1'
echo -ne '\xda'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xda'\''|json -b 1'

echo '$ echo -ne '\''\xda'\''|json -b 2'
echo -ne '\xda'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xda'\''|json -b 2'

echo '$ echo -ne '\''\xdb'\''|json -b 1'
echo -ne '\xdb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xdb'\''|json -b 1'

echo '$ echo -ne '\''\xdb'\''|json -b 2'
echo -ne '\xdb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xdb'\''|json -b 2'

echo '$ echo -ne '\''\xdc'\''|json -b 1'
echo -ne '\xdc'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xdc'\''|json -b 1'

echo '$ echo -ne '\''\xdc'\''|json -b 2'
echo -ne '\xdc'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xdc'\''|json -b 2'

echo '$ echo -ne '\''\xdd'\''|json -b 1'
echo -ne '\xdd'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xdd'\''|json -b 1'

echo '$ echo -ne '\''\xdd'\''|json -b 2'
echo -ne '\xdd'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xdd'\''|json -b 2'

echo '$ echo -ne '\''\xde'\''|json -b 1'
echo -ne '\xde'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xde'\''|json -b 1'

echo '$ echo -ne '\''\xde'\''|json -b 2'
echo -ne '\xde'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xde'\''|json -b 2'

echo '$ echo -ne '\''\xdf'\''|json -b 1'
echo -ne '\xdf'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xdf'\''|json -b 1'

echo '$ echo -ne '\''\xdf'\''|json -b 2'
echo -ne '\xdf'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xdf'\''|json -b 2'

echo '$ echo -ne '\''\xe0'\''|json -b 1'
echo -ne '\xe0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe0'\''|json -b 1'

echo '$ echo -ne '\''\xe0'\''|json -b 2'
echo -ne '\xe0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe0'\''|json -b 2'

echo '$ echo -ne '\''\xe1'\''|json -b 1'
echo -ne '\xe1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe1'\''|json -b 1'

echo '$ echo -ne '\''\xe1'\''|json -b 2'
echo -ne '\xe1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe1'\''|json -b 2'

echo '$ echo -ne '\''\xe2'\''|json -b 1'
echo -ne '\xe2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe2'\''|json -b 1'

echo '$ echo -ne '\''\xe2'\''|json -b 2'
echo -ne '\xe2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe2'\''|json -b 2'

echo '$ echo -ne '\''\xe3'\''|json -b 1'
echo -ne '\xe3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe3'\''|json -b 1'

echo '$ echo -ne '\''\xe3'\''|json -b 2'
echo -ne '\xe3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe3'\''|json -b 2'

echo '$ echo -ne '\''\xe4'\''|json -b 1'
echo -ne '\xe4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe4'\''|json -b 1'

echo '$ echo -ne '\''\xe4'\''|json -b 2'
echo -ne '\xe4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe4'\''|json -b 2'

echo '$ echo -ne '\''\xe5'\''|json -b 1'
echo -ne '\xe5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5'\''|json -b 1'

echo '$ echo -ne '\''\xe5'\''|json -b 2'
echo -ne '\xe5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5'\''|json -b 2'

echo '$ echo -ne '\''\xe6'\''|json -b 1'
echo -ne '\xe6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe6'\''|json -b 1'

echo '$ echo -ne '\''\xe6'\''|json -b 2'
echo -ne '\xe6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe6'\''|json -b 2'

echo '$ echo -ne '\''\xe7'\''|json -b 1'
echo -ne '\xe7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe7'\''|json -b 1'

echo '$ echo -ne '\''\xe7'\''|json -b 2'
echo -ne '\xe7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe7'\''|json -b 2'

echo '$ echo -ne '\''\xe8'\''|json -b 1'
echo -ne '\xe8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe8'\''|json -b 1'

echo '$ echo -ne '\''\xe8'\''|json -b 2'
echo -ne '\xe8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe8'\''|json -b 2'

echo '$ echo -ne '\''\xe9'\''|json -b 1'
echo -ne '\xe9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe9'\''|json -b 1'

echo '$ echo -ne '\''\xe9'\''|json -b 2'
echo -ne '\xe9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe9'\''|json -b 2'

echo '$ echo -ne '\''\xea'\''|json -b 1'
echo -ne '\xea'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea'\''|json -b 1'

echo '$ echo -ne '\''\xea'\''|json -b 2'
echo -ne '\xea'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea'\''|json -b 2'

echo '$ echo -ne '\''\xeb'\''|json -b 1'
echo -ne '\xeb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xeb'\''|json -b 1'

echo '$ echo -ne '\''\xeb'\''|json -b 2'
echo -ne '\xeb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xeb'\''|json -b 2'

echo '$ echo -ne '\''\xec'\''|json -b 1'
echo -ne '\xec'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xec'\''|json -b 1'

echo '$ echo -ne '\''\xec'\''|json -b 2'
echo -ne '\xec'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xec'\''|json -b 2'

echo '$ echo -ne '\''\xed'\''|json -b 1'
echo -ne '\xed'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xed'\''|json -b 1'

echo '$ echo -ne '\''\xed'\''|json -b 2'
echo -ne '\xed'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xed'\''|json -b 2'

echo '$ echo -ne '\''\xee'\''|json -b 1'
echo -ne '\xee'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xee'\''|json -b 1'

echo '$ echo -ne '\''\xee'\''|json -b 2'
echo -ne '\xee'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xee'\''|json -b 2'

echo '$ echo -ne '\''\xef'\''|json -b 1'
echo -ne '\xef'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xef'\''|json -b 1'

echo '$ echo -ne '\''\xef'\''|json -b 2'
echo -ne '\xef'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xef'\''|json -b 2'

echo '$ echo -ne '\''\xf0'\''|json -b 1'
echo -ne '\xf0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf0'\''|json -b 1'

echo '$ echo -ne '\''\xf0'\''|json -b 2'
echo -ne '\xf0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf0'\''|json -b 2'

echo '$ echo -ne '\''\xf1'\''|json -b 1'
echo -ne '\xf1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf1'\''|json -b 1'

echo '$ echo -ne '\''\xf1'\''|json -b 2'
echo -ne '\xf1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf1'\''|json -b 2'

echo '$ echo -ne '\''\xf2'\''|json -b 1'
echo -ne '\xf2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2'\''|json -b 1'

echo '$ echo -ne '\''\xf2'\''|json -b 2'
echo -ne '\xf2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2'\''|json -b 2'

echo '$ echo -ne '\''\xf3'\''|json -b 1'
echo -ne '\xf3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf3'\''|json -b 1'

echo '$ echo -ne '\''\xf3'\''|json -b 2'
echo -ne '\xf3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf3'\''|json -b 2'

echo '$ echo -ne '\''\xf4'\''|json -b 1'
echo -ne '\xf4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf4'\''|json -b 1'

echo '$ echo -ne '\''\xf4'\''|json -b 2'
echo -ne '\xf4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf4'\''|json -b 2'

echo '$ echo -ne '\''\xf5'\''|json -b 1'
echo -ne '\xf5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5'\''|json -b 1'

echo '$ echo -ne '\''\xf5'\''|json -b 2'
echo -ne '\xf5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5'\''|json -b 2'

echo '$ echo -ne '\''\xf6'\''|json -b 1'
echo -ne '\xf6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf6'\''|json -b 1'

echo '$ echo -ne '\''\xf6'\''|json -b 2'
echo -ne '\xf6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf6'\''|json -b 2'

echo '$ echo -ne '\''\xf7'\''|json -b 1'
echo -ne '\xf7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf7'\''|json -b 1'

echo '$ echo -ne '\''\xf7'\''|json -b 2'
echo -ne '\xf7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf7'\''|json -b 2'

echo '$ echo -ne '\''\xf8'\''|json -b 1'
echo -ne '\xf8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf8'\''|json -b 1'

echo '$ echo -ne '\''\xf8'\''|json -b 2'
echo -ne '\xf8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf8'\''|json -b 2'

echo '$ echo -ne '\''\xf9'\''|json -b 1'
echo -ne '\xf9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf9'\''|json -b 1'

echo '$ echo -ne '\''\xf9'\''|json -b 2'
echo -ne '\xf9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf9'\''|json -b 2'

echo '$ echo -ne '\''\xfa'\''|json -b 1'
echo -ne '\xfa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfa'\''|json -b 1'

echo '$ echo -ne '\''\xfa'\''|json -b 2'
echo -ne '\xfa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfa'\''|json -b 2'

echo '$ echo -ne '\''\xfb'\''|json -b 1'
echo -ne '\xfb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfb'\''|json -b 1'

echo '$ echo -ne '\''\xfb'\''|json -b 2'
echo -ne '\xfb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfb'\''|json -b 2'

echo '$ echo -ne '\''\xfc'\''|json -b 1'
echo -ne '\xfc'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfc'\''|json -b 1'

echo '$ echo -ne '\''\xfc'\''|json -b 2'
echo -ne '\xfc'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfc'\''|json -b 2'

echo '$ echo -ne '\''\xfd'\''|json -b 1'
echo -ne '\xfd'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfd'\''|json -b 1'

echo '$ echo -ne '\''\xfd'\''|json -b 2'
echo -ne '\xfd'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfd'\''|json -b 2'

echo '$ echo -ne '\''\xfe'\''|json -b 1'
echo -ne '\xfe'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfe'\''|json -b 1'

echo '$ echo -ne '\''\xfe'\''|json -b 2'
echo -ne '\xfe'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfe'\''|json -b 2'

echo '$ echo -ne '\''\xff'\''|json -b 1'
echo -ne '\xff'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xff'\''|json -b 1'

echo '$ echo -ne '\''\xff'\''|json -b 2'
echo -ne '\xff'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xff'\''|json -b 2'
)

