#!/bin/bash

# Copyright (C) 2016, 2017, 2018  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C parser:string-unicode7
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L string-unicode7.old <(echo \
'$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }
$ json() { json0 --literal-value --escape-utf8 "$@"; }
$ echo '\''"\ufff0"'\''|json -b 1
"\ufff0"
$ echo '\''"\ufff0"'\''|json -b 2
"\ufff0"
$ echo '\''"\ufff0"'\''|json -b 3
"\ufff0"
$ echo '\''"\ufff0"'\''|json -b 4
"\ufff0"
$ echo '\''"\ufff0"'\''|json -b 5
"\ufff0"
$ echo '\''"\ufff0"'\''|json -b 6
"\ufff0"
$ echo '\''"\ufff0"'\''|json -b 7
"\ufff0"
$ echo '\''"\ufff0"'\''|json -b 8
"\ufff0"
$ echo '\''"\ufff1"'\''|json -b 1
"\ufff1"
$ echo '\''"\ufff1"'\''|json -b 2
"\ufff1"
$ echo '\''"\ufff1"'\''|json -b 3
"\ufff1"
$ echo '\''"\ufff1"'\''|json -b 4
"\ufff1"
$ echo '\''"\ufff1"'\''|json -b 5
"\ufff1"
$ echo '\''"\ufff1"'\''|json -b 6
"\ufff1"
$ echo '\''"\ufff1"'\''|json -b 7
"\ufff1"
$ echo '\''"\ufff1"'\''|json -b 8
"\ufff1"
$ echo '\''"\ufff2"'\''|json -b 1
"\ufff2"
$ echo '\''"\ufff2"'\''|json -b 2
"\ufff2"
$ echo '\''"\ufff2"'\''|json -b 3
"\ufff2"
$ echo '\''"\ufff2"'\''|json -b 4
"\ufff2"
$ echo '\''"\ufff2"'\''|json -b 5
"\ufff2"
$ echo '\''"\ufff2"'\''|json -b 6
"\ufff2"
$ echo '\''"\ufff2"'\''|json -b 7
"\ufff2"
$ echo '\''"\ufff2"'\''|json -b 8
"\ufff2"
$ echo '\''"\ufff3"'\''|json -b 1
"\ufff3"
$ echo '\''"\ufff3"'\''|json -b 2
"\ufff3"
$ echo '\''"\ufff3"'\''|json -b 3
"\ufff3"
$ echo '\''"\ufff3"'\''|json -b 4
"\ufff3"
$ echo '\''"\ufff3"'\''|json -b 5
"\ufff3"
$ echo '\''"\ufff3"'\''|json -b 6
"\ufff3"
$ echo '\''"\ufff3"'\''|json -b 7
"\ufff3"
$ echo '\''"\ufff3"'\''|json -b 8
"\ufff3"
$ echo '\''"\ufff4"'\''|json -b 1
"\ufff4"
$ echo '\''"\ufff4"'\''|json -b 2
"\ufff4"
$ echo '\''"\ufff4"'\''|json -b 3
"\ufff4"
$ echo '\''"\ufff4"'\''|json -b 4
"\ufff4"
$ echo '\''"\ufff4"'\''|json -b 5
"\ufff4"
$ echo '\''"\ufff4"'\''|json -b 6
"\ufff4"
$ echo '\''"\ufff4"'\''|json -b 7
"\ufff4"
$ echo '\''"\ufff4"'\''|json -b 8
"\ufff4"
$ echo '\''"\ufff5"'\''|json -b 1
"\ufff5"
$ echo '\''"\ufff5"'\''|json -b 2
"\ufff5"
$ echo '\''"\ufff5"'\''|json -b 3
"\ufff5"
$ echo '\''"\ufff5"'\''|json -b 4
"\ufff5"
$ echo '\''"\ufff5"'\''|json -b 5
"\ufff5"
$ echo '\''"\ufff5"'\''|json -b 6
"\ufff5"
$ echo '\''"\ufff5"'\''|json -b 7
"\ufff5"
$ echo '\''"\ufff5"'\''|json -b 8
"\ufff5"
$ echo '\''"\ufff6"'\''|json -b 1
"\ufff6"
$ echo '\''"\ufff6"'\''|json -b 2
"\ufff6"
$ echo '\''"\ufff6"'\''|json -b 3
"\ufff6"
$ echo '\''"\ufff6"'\''|json -b 4
"\ufff6"
$ echo '\''"\ufff6"'\''|json -b 5
"\ufff6"
$ echo '\''"\ufff6"'\''|json -b 6
"\ufff6"
$ echo '\''"\ufff6"'\''|json -b 7
"\ufff6"
$ echo '\''"\ufff6"'\''|json -b 8
"\ufff6"
$ echo '\''"\ufff7"'\''|json -b 1
"\ufff7"
$ echo '\''"\ufff7"'\''|json -b 2
"\ufff7"
$ echo '\''"\ufff7"'\''|json -b 3
"\ufff7"
$ echo '\''"\ufff7"'\''|json -b 4
"\ufff7"
$ echo '\''"\ufff7"'\''|json -b 5
"\ufff7"
$ echo '\''"\ufff7"'\''|json -b 6
"\ufff7"
$ echo '\''"\ufff7"'\''|json -b 7
"\ufff7"
$ echo '\''"\ufff7"'\''|json -b 8
"\ufff7"
$ echo '\''"\ufff8"'\''|json -b 1
"\ufff8"
$ echo '\''"\ufff8"'\''|json -b 2
"\ufff8"
$ echo '\''"\ufff8"'\''|json -b 3
"\ufff8"
$ echo '\''"\ufff8"'\''|json -b 4
"\ufff8"
$ echo '\''"\ufff8"'\''|json -b 5
"\ufff8"
$ echo '\''"\ufff8"'\''|json -b 6
"\ufff8"
$ echo '\''"\ufff8"'\''|json -b 7
"\ufff8"
$ echo '\''"\ufff8"'\''|json -b 8
"\ufff8"
$ echo '\''"\ufff9"'\''|json -b 1
"\ufff9"
$ echo '\''"\ufff9"'\''|json -b 2
"\ufff9"
$ echo '\''"\ufff9"'\''|json -b 3
"\ufff9"
$ echo '\''"\ufff9"'\''|json -b 4
"\ufff9"
$ echo '\''"\ufff9"'\''|json -b 5
"\ufff9"
$ echo '\''"\ufff9"'\''|json -b 6
"\ufff9"
$ echo '\''"\ufff9"'\''|json -b 7
"\ufff9"
$ echo '\''"\ufff9"'\''|json -b 8
"\ufff9"
$ echo '\''"\ufffa"'\''|json -b 1
"\ufffa"
$ echo '\''"\ufffa"'\''|json -b 2
"\ufffa"
$ echo '\''"\ufffa"'\''|json -b 3
"\ufffa"
$ echo '\''"\ufffa"'\''|json -b 4
"\ufffa"
$ echo '\''"\ufffa"'\''|json -b 5
"\ufffa"
$ echo '\''"\ufffa"'\''|json -b 6
"\ufffa"
$ echo '\''"\ufffa"'\''|json -b 7
"\ufffa"
$ echo '\''"\ufffa"'\''|json -b 8
"\ufffa"
$ echo '\''"\ufffb"'\''|json -b 1
"\ufffb"
$ echo '\''"\ufffb"'\''|json -b 2
"\ufffb"
$ echo '\''"\ufffb"'\''|json -b 3
"\ufffb"
$ echo '\''"\ufffb"'\''|json -b 4
"\ufffb"
$ echo '\''"\ufffb"'\''|json -b 5
"\ufffb"
$ echo '\''"\ufffb"'\''|json -b 6
"\ufffb"
$ echo '\''"\ufffb"'\''|json -b 7
"\ufffb"
$ echo '\''"\ufffb"'\''|json -b 8
"\ufffb"
$ echo '\''"\ufffc"'\''|json -b 1
"\ufffc"
$ echo '\''"\ufffc"'\''|json -b 2
"\ufffc"
$ echo '\''"\ufffc"'\''|json -b 3
"\ufffc"
$ echo '\''"\ufffc"'\''|json -b 4
"\ufffc"
$ echo '\''"\ufffc"'\''|json -b 5
"\ufffc"
$ echo '\''"\ufffc"'\''|json -b 6
"\ufffc"
$ echo '\''"\ufffc"'\''|json -b 7
"\ufffc"
$ echo '\''"\ufffc"'\''|json -b 8
"\ufffc"
$ echo '\''"\ufffd"'\''|json -b 1
"\ufffd"
$ echo '\''"\ufffd"'\''|json -b 2
"\ufffd"
$ echo '\''"\ufffd"'\''|json -b 3
"\ufffd"
$ echo '\''"\ufffd"'\''|json -b 4
"\ufffd"
$ echo '\''"\ufffd"'\''|json -b 5
"\ufffd"
$ echo '\''"\ufffd"'\''|json -b 6
"\ufffd"
$ echo '\''"\ufffd"'\''|json -b 7
"\ufffd"
$ echo '\''"\ufffd"'\''|json -b 8
"\ufffd"
$ echo '\''"\ufffe"'\''|json -b 1
"\ufffe"
$ echo '\''"\ufffe"'\''|json -b 2
"\ufffe"
$ echo '\''"\ufffe"'\''|json -b 3
"\ufffe"
$ echo '\''"\ufffe"'\''|json -b 4
"\ufffe"
$ echo '\''"\ufffe"'\''|json -b 5
"\ufffe"
$ echo '\''"\ufffe"'\''|json -b 6
"\ufffe"
$ echo '\''"\ufffe"'\''|json -b 7
"\ufffe"
$ echo '\''"\ufffe"'\''|json -b 8
"\ufffe"
$ echo '\''"\uffff"'\''|json -b 1
"\uffff"
$ echo '\''"\uffff"'\''|json -b 2
"\uffff"
$ echo '\''"\uffff"'\''|json -b 3
"\uffff"
$ echo '\''"\uffff"'\''|json -b 4
"\uffff"
$ echo '\''"\uffff"'\''|json -b 5
"\uffff"
$ echo '\''"\uffff"'\''|json -b 6
"\uffff"
$ echo '\''"\uffff"'\''|json -b 7
"\uffff"
$ echo '\''"\uffff"'\''|json -b 8
"\uffff"'
) -L string-unicode7.new <(
echo '$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'
json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; } 2>&1 ||
echo 'command failed: json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'

echo '$ json() { json0 --literal-value --escape-utf8 "$@"; }'
json() { json0 --literal-value --escape-utf8 "$@"; } 2>&1 ||
echo 'command failed: json() { json0 --literal-value --escape-utf8 "$@"; }'

echo '$ echo '\''"\ufff0"'\''|json -b 1'
echo '"\ufff0"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff0"'\''|json -b 1'

echo '$ echo '\''"\ufff0"'\''|json -b 2'
echo '"\ufff0"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff0"'\''|json -b 2'

echo '$ echo '\''"\ufff0"'\''|json -b 3'
echo '"\ufff0"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff0"'\''|json -b 3'

echo '$ echo '\''"\ufff0"'\''|json -b 4'
echo '"\ufff0"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff0"'\''|json -b 4'

echo '$ echo '\''"\ufff0"'\''|json -b 5'
echo '"\ufff0"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff0"'\''|json -b 5'

echo '$ echo '\''"\ufff0"'\''|json -b 6'
echo '"\ufff0"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff0"'\''|json -b 6'

echo '$ echo '\''"\ufff0"'\''|json -b 7'
echo '"\ufff0"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff0"'\''|json -b 7'

echo '$ echo '\''"\ufff0"'\''|json -b 8'
echo '"\ufff0"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff0"'\''|json -b 8'

echo '$ echo '\''"\ufff1"'\''|json -b 1'
echo '"\ufff1"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff1"'\''|json -b 1'

echo '$ echo '\''"\ufff1"'\''|json -b 2'
echo '"\ufff1"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff1"'\''|json -b 2'

echo '$ echo '\''"\ufff1"'\''|json -b 3'
echo '"\ufff1"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff1"'\''|json -b 3'

echo '$ echo '\''"\ufff1"'\''|json -b 4'
echo '"\ufff1"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff1"'\''|json -b 4'

echo '$ echo '\''"\ufff1"'\''|json -b 5'
echo '"\ufff1"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff1"'\''|json -b 5'

echo '$ echo '\''"\ufff1"'\''|json -b 6'
echo '"\ufff1"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff1"'\''|json -b 6'

echo '$ echo '\''"\ufff1"'\''|json -b 7'
echo '"\ufff1"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff1"'\''|json -b 7'

echo '$ echo '\''"\ufff1"'\''|json -b 8'
echo '"\ufff1"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff1"'\''|json -b 8'

echo '$ echo '\''"\ufff2"'\''|json -b 1'
echo '"\ufff2"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff2"'\''|json -b 1'

echo '$ echo '\''"\ufff2"'\''|json -b 2'
echo '"\ufff2"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff2"'\''|json -b 2'

echo '$ echo '\''"\ufff2"'\''|json -b 3'
echo '"\ufff2"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff2"'\''|json -b 3'

echo '$ echo '\''"\ufff2"'\''|json -b 4'
echo '"\ufff2"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff2"'\''|json -b 4'

echo '$ echo '\''"\ufff2"'\''|json -b 5'
echo '"\ufff2"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff2"'\''|json -b 5'

echo '$ echo '\''"\ufff2"'\''|json -b 6'
echo '"\ufff2"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff2"'\''|json -b 6'

echo '$ echo '\''"\ufff2"'\''|json -b 7'
echo '"\ufff2"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff2"'\''|json -b 7'

echo '$ echo '\''"\ufff2"'\''|json -b 8'
echo '"\ufff2"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff2"'\''|json -b 8'

echo '$ echo '\''"\ufff3"'\''|json -b 1'
echo '"\ufff3"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff3"'\''|json -b 1'

echo '$ echo '\''"\ufff3"'\''|json -b 2'
echo '"\ufff3"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff3"'\''|json -b 2'

echo '$ echo '\''"\ufff3"'\''|json -b 3'
echo '"\ufff3"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff3"'\''|json -b 3'

echo '$ echo '\''"\ufff3"'\''|json -b 4'
echo '"\ufff3"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff3"'\''|json -b 4'

echo '$ echo '\''"\ufff3"'\''|json -b 5'
echo '"\ufff3"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff3"'\''|json -b 5'

echo '$ echo '\''"\ufff3"'\''|json -b 6'
echo '"\ufff3"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff3"'\''|json -b 6'

echo '$ echo '\''"\ufff3"'\''|json -b 7'
echo '"\ufff3"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff3"'\''|json -b 7'

echo '$ echo '\''"\ufff3"'\''|json -b 8'
echo '"\ufff3"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff3"'\''|json -b 8'

echo '$ echo '\''"\ufff4"'\''|json -b 1'
echo '"\ufff4"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff4"'\''|json -b 1'

echo '$ echo '\''"\ufff4"'\''|json -b 2'
echo '"\ufff4"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff4"'\''|json -b 2'

echo '$ echo '\''"\ufff4"'\''|json -b 3'
echo '"\ufff4"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff4"'\''|json -b 3'

echo '$ echo '\''"\ufff4"'\''|json -b 4'
echo '"\ufff4"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff4"'\''|json -b 4'

echo '$ echo '\''"\ufff4"'\''|json -b 5'
echo '"\ufff4"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff4"'\''|json -b 5'

echo '$ echo '\''"\ufff4"'\''|json -b 6'
echo '"\ufff4"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff4"'\''|json -b 6'

echo '$ echo '\''"\ufff4"'\''|json -b 7'
echo '"\ufff4"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff4"'\''|json -b 7'

echo '$ echo '\''"\ufff4"'\''|json -b 8'
echo '"\ufff4"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff4"'\''|json -b 8'

echo '$ echo '\''"\ufff5"'\''|json -b 1'
echo '"\ufff5"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff5"'\''|json -b 1'

echo '$ echo '\''"\ufff5"'\''|json -b 2'
echo '"\ufff5"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff5"'\''|json -b 2'

echo '$ echo '\''"\ufff5"'\''|json -b 3'
echo '"\ufff5"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff5"'\''|json -b 3'

echo '$ echo '\''"\ufff5"'\''|json -b 4'
echo '"\ufff5"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff5"'\''|json -b 4'

echo '$ echo '\''"\ufff5"'\''|json -b 5'
echo '"\ufff5"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff5"'\''|json -b 5'

echo '$ echo '\''"\ufff5"'\''|json -b 6'
echo '"\ufff5"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff5"'\''|json -b 6'

echo '$ echo '\''"\ufff5"'\''|json -b 7'
echo '"\ufff5"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff5"'\''|json -b 7'

echo '$ echo '\''"\ufff5"'\''|json -b 8'
echo '"\ufff5"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff5"'\''|json -b 8'

echo '$ echo '\''"\ufff6"'\''|json -b 1'
echo '"\ufff6"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff6"'\''|json -b 1'

echo '$ echo '\''"\ufff6"'\''|json -b 2'
echo '"\ufff6"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff6"'\''|json -b 2'

echo '$ echo '\''"\ufff6"'\''|json -b 3'
echo '"\ufff6"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff6"'\''|json -b 3'

echo '$ echo '\''"\ufff6"'\''|json -b 4'
echo '"\ufff6"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff6"'\''|json -b 4'

echo '$ echo '\''"\ufff6"'\''|json -b 5'
echo '"\ufff6"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff6"'\''|json -b 5'

echo '$ echo '\''"\ufff6"'\''|json -b 6'
echo '"\ufff6"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff6"'\''|json -b 6'

echo '$ echo '\''"\ufff6"'\''|json -b 7'
echo '"\ufff6"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff6"'\''|json -b 7'

echo '$ echo '\''"\ufff6"'\''|json -b 8'
echo '"\ufff6"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff6"'\''|json -b 8'

echo '$ echo '\''"\ufff7"'\''|json -b 1'
echo '"\ufff7"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff7"'\''|json -b 1'

echo '$ echo '\''"\ufff7"'\''|json -b 2'
echo '"\ufff7"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff7"'\''|json -b 2'

echo '$ echo '\''"\ufff7"'\''|json -b 3'
echo '"\ufff7"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff7"'\''|json -b 3'

echo '$ echo '\''"\ufff7"'\''|json -b 4'
echo '"\ufff7"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff7"'\''|json -b 4'

echo '$ echo '\''"\ufff7"'\''|json -b 5'
echo '"\ufff7"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff7"'\''|json -b 5'

echo '$ echo '\''"\ufff7"'\''|json -b 6'
echo '"\ufff7"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff7"'\''|json -b 6'

echo '$ echo '\''"\ufff7"'\''|json -b 7'
echo '"\ufff7"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff7"'\''|json -b 7'

echo '$ echo '\''"\ufff7"'\''|json -b 8'
echo '"\ufff7"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff7"'\''|json -b 8'

echo '$ echo '\''"\ufff8"'\''|json -b 1'
echo '"\ufff8"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff8"'\''|json -b 1'

echo '$ echo '\''"\ufff8"'\''|json -b 2'
echo '"\ufff8"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff8"'\''|json -b 2'

echo '$ echo '\''"\ufff8"'\''|json -b 3'
echo '"\ufff8"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff8"'\''|json -b 3'

echo '$ echo '\''"\ufff8"'\''|json -b 4'
echo '"\ufff8"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff8"'\''|json -b 4'

echo '$ echo '\''"\ufff8"'\''|json -b 5'
echo '"\ufff8"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff8"'\''|json -b 5'

echo '$ echo '\''"\ufff8"'\''|json -b 6'
echo '"\ufff8"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff8"'\''|json -b 6'

echo '$ echo '\''"\ufff8"'\''|json -b 7'
echo '"\ufff8"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff8"'\''|json -b 7'

echo '$ echo '\''"\ufff8"'\''|json -b 8'
echo '"\ufff8"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff8"'\''|json -b 8'

echo '$ echo '\''"\ufff9"'\''|json -b 1'
echo '"\ufff9"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufff9"'\''|json -b 1'

echo '$ echo '\''"\ufff9"'\''|json -b 2'
echo '"\ufff9"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufff9"'\''|json -b 2'

echo '$ echo '\''"\ufff9"'\''|json -b 3'
echo '"\ufff9"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufff9"'\''|json -b 3'

echo '$ echo '\''"\ufff9"'\''|json -b 4'
echo '"\ufff9"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufff9"'\''|json -b 4'

echo '$ echo '\''"\ufff9"'\''|json -b 5'
echo '"\ufff9"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufff9"'\''|json -b 5'

echo '$ echo '\''"\ufff9"'\''|json -b 6'
echo '"\ufff9"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufff9"'\''|json -b 6'

echo '$ echo '\''"\ufff9"'\''|json -b 7'
echo '"\ufff9"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufff9"'\''|json -b 7'

echo '$ echo '\''"\ufff9"'\''|json -b 8'
echo '"\ufff9"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufff9"'\''|json -b 8'

echo '$ echo '\''"\ufffa"'\''|json -b 1'
echo '"\ufffa"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufffa"'\''|json -b 1'

echo '$ echo '\''"\ufffa"'\''|json -b 2'
echo '"\ufffa"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufffa"'\''|json -b 2'

echo '$ echo '\''"\ufffa"'\''|json -b 3'
echo '"\ufffa"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufffa"'\''|json -b 3'

echo '$ echo '\''"\ufffa"'\''|json -b 4'
echo '"\ufffa"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufffa"'\''|json -b 4'

echo '$ echo '\''"\ufffa"'\''|json -b 5'
echo '"\ufffa"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufffa"'\''|json -b 5'

echo '$ echo '\''"\ufffa"'\''|json -b 6'
echo '"\ufffa"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufffa"'\''|json -b 6'

echo '$ echo '\''"\ufffa"'\''|json -b 7'
echo '"\ufffa"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufffa"'\''|json -b 7'

echo '$ echo '\''"\ufffa"'\''|json -b 8'
echo '"\ufffa"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufffa"'\''|json -b 8'

echo '$ echo '\''"\ufffb"'\''|json -b 1'
echo '"\ufffb"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufffb"'\''|json -b 1'

echo '$ echo '\''"\ufffb"'\''|json -b 2'
echo '"\ufffb"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufffb"'\''|json -b 2'

echo '$ echo '\''"\ufffb"'\''|json -b 3'
echo '"\ufffb"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufffb"'\''|json -b 3'

echo '$ echo '\''"\ufffb"'\''|json -b 4'
echo '"\ufffb"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufffb"'\''|json -b 4'

echo '$ echo '\''"\ufffb"'\''|json -b 5'
echo '"\ufffb"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufffb"'\''|json -b 5'

echo '$ echo '\''"\ufffb"'\''|json -b 6'
echo '"\ufffb"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufffb"'\''|json -b 6'

echo '$ echo '\''"\ufffb"'\''|json -b 7'
echo '"\ufffb"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufffb"'\''|json -b 7'

echo '$ echo '\''"\ufffb"'\''|json -b 8'
echo '"\ufffb"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufffb"'\''|json -b 8'

echo '$ echo '\''"\ufffc"'\''|json -b 1'
echo '"\ufffc"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufffc"'\''|json -b 1'

echo '$ echo '\''"\ufffc"'\''|json -b 2'
echo '"\ufffc"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufffc"'\''|json -b 2'

echo '$ echo '\''"\ufffc"'\''|json -b 3'
echo '"\ufffc"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufffc"'\''|json -b 3'

echo '$ echo '\''"\ufffc"'\''|json -b 4'
echo '"\ufffc"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufffc"'\''|json -b 4'

echo '$ echo '\''"\ufffc"'\''|json -b 5'
echo '"\ufffc"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufffc"'\''|json -b 5'

echo '$ echo '\''"\ufffc"'\''|json -b 6'
echo '"\ufffc"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufffc"'\''|json -b 6'

echo '$ echo '\''"\ufffc"'\''|json -b 7'
echo '"\ufffc"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufffc"'\''|json -b 7'

echo '$ echo '\''"\ufffc"'\''|json -b 8'
echo '"\ufffc"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufffc"'\''|json -b 8'

echo '$ echo '\''"\ufffd"'\''|json -b 1'
echo '"\ufffd"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufffd"'\''|json -b 1'

echo '$ echo '\''"\ufffd"'\''|json -b 2'
echo '"\ufffd"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufffd"'\''|json -b 2'

echo '$ echo '\''"\ufffd"'\''|json -b 3'
echo '"\ufffd"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufffd"'\''|json -b 3'

echo '$ echo '\''"\ufffd"'\''|json -b 4'
echo '"\ufffd"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufffd"'\''|json -b 4'

echo '$ echo '\''"\ufffd"'\''|json -b 5'
echo '"\ufffd"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufffd"'\''|json -b 5'

echo '$ echo '\''"\ufffd"'\''|json -b 6'
echo '"\ufffd"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufffd"'\''|json -b 6'

echo '$ echo '\''"\ufffd"'\''|json -b 7'
echo '"\ufffd"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufffd"'\''|json -b 7'

echo '$ echo '\''"\ufffd"'\''|json -b 8'
echo '"\ufffd"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufffd"'\''|json -b 8'

echo '$ echo '\''"\ufffe"'\''|json -b 1'
echo '"\ufffe"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\ufffe"'\''|json -b 1'

echo '$ echo '\''"\ufffe"'\''|json -b 2'
echo '"\ufffe"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\ufffe"'\''|json -b 2'

echo '$ echo '\''"\ufffe"'\''|json -b 3'
echo '"\ufffe"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\ufffe"'\''|json -b 3'

echo '$ echo '\''"\ufffe"'\''|json -b 4'
echo '"\ufffe"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\ufffe"'\''|json -b 4'

echo '$ echo '\''"\ufffe"'\''|json -b 5'
echo '"\ufffe"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\ufffe"'\''|json -b 5'

echo '$ echo '\''"\ufffe"'\''|json -b 6'
echo '"\ufffe"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\ufffe"'\''|json -b 6'

echo '$ echo '\''"\ufffe"'\''|json -b 7'
echo '"\ufffe"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\ufffe"'\''|json -b 7'

echo '$ echo '\''"\ufffe"'\''|json -b 8'
echo '"\ufffe"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\ufffe"'\''|json -b 8'

echo '$ echo '\''"\uffff"'\''|json -b 1'
echo '"\uffff"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\uffff"'\''|json -b 1'

echo '$ echo '\''"\uffff"'\''|json -b 2'
echo '"\uffff"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\uffff"'\''|json -b 2'

echo '$ echo '\''"\uffff"'\''|json -b 3'
echo '"\uffff"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\uffff"'\''|json -b 3'

echo '$ echo '\''"\uffff"'\''|json -b 4'
echo '"\uffff"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\uffff"'\''|json -b 4'

echo '$ echo '\''"\uffff"'\''|json -b 5'
echo '"\uffff"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\uffff"'\''|json -b 5'

echo '$ echo '\''"\uffff"'\''|json -b 6'
echo '"\uffff"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\uffff"'\''|json -b 6'

echo '$ echo '\''"\uffff"'\''|json -b 7'
echo '"\uffff"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\uffff"'\''|json -b 7'

echo '$ echo '\''"\uffff"'\''|json -b 8'
echo '"\uffff"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\uffff"'\''|json -b 8'
)

